package com.ruoyi.ss.balancePeriod.mapper;

import com.ruoyi.ss.balancePeriod.domain.SmBalancePeriod;
import com.ruoyi.ss.balancePeriod.domain.SmBalancePeriodQuery;

import java.util.List;

/**
 * 余额时段记录Mapper接口
 *
 * @author ruoyi
 * @date 2024-03-16
 */
public interface SmBalancePeriodMapper
{
    /**
     * 查询余额时段记录
     *
     * @param id 余额时段记录主键
     * @return 余额时段记录
     */
    public SmBalancePeriod selectSmBalancePeriodById(Long id);

    /**
     * 查询余额时段记录列表
     *
     * @param smBalancePeriod 余额时段记录
     * @return 余额时段记录集合
     */
    public List<SmBalancePeriod> selectSmBalancePeriodList(SmBalancePeriodQuery smBalancePeriod);

    /**
     * 新增余额时段记录
     *
     * @param smBalancePeriod 余额时段记录
     * @return 结果
     */
    public int insertSmBalancePeriod(SmBalancePeriod smBalancePeriod);

    /**
     * 修改余额时段记录
     *
     * @param smBalancePeriod 余额时段记录
     * @return 结果
     */
    public int updateSmBalancePeriod(SmBalancePeriod smBalancePeriod);

    /**
     * 删除余额时段记录
     *
     * @param id 余额时段记录主键
     * @return 结果
     */
    public int deleteSmBalancePeriodById(Long id);

    /**
     * 批量删除余额时段记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSmBalancePeriodByIds(Long[] ids);
}
