package com.ruoyi.ss.vipLevelSku.service;

import com.ruoyi.ss.vipLevel.domain.VipLevelVO;
import com.ruoyi.ss.vipLevelSku.domain.VipLevelSku;
import com.ruoyi.ss.vipLevelSku.domain.VipLevelSkuQuery;
import com.ruoyi.ss.vipLevelSku.domain.VipLevelSkuVO;

import java.util.List;

/**
 * VIP等级定价Service接口
 *
 * @author ruoyi
 * @date 2025-01-16
 */
public interface VipLevelSkuService
{
    /**
     * 查询VIP等级定价
     *
     * @param id VIP等级定价主键
     * @return VIP等级定价
     */
    public VipLevelSkuVO selectVipLevelSkuById(Long id);

    /**
     * 查询VIP等级定价列表
     *
     * @param vipLevelSku VIP等级定价
     * @return VIP等级定价集合
     */
    public List<VipLevelSkuVO> selectVipLevelSkuList(VipLevelSkuQuery vipLevelSku);

    /**
     * 新增VIP等级定价
     *
     * @param vipLevelSku VIP等级定价
     * @return 结果
     */
    public int insertVipLevelSku(VipLevelSku vipLevelSku);

    /**
     * 修改VIP等级定价
     *
     * @param vipLevelSku VIP等级定价
     * @return 结果
     */
    public int updateVipLevelSku(VipLevelSku vipLevelSku);

    /**
     * 批量删除VIP等级定价
     *
     * @param ids 需要删除的VIP等级定价主键集合
     * @return 结果
     */
    public int deleteVipLevelSkuByIds(List<Long> ids);

    /**
     * 删除VIP等级定价信息
     *
     * @param id VIP等级定价主键
     * @return 结果
     */
    public int deleteVipLevelSkuById(Long id);

    /**
     * 根据等级id查询
     * @param levelId
     * @return
     */
    List<VipLevelSkuVO> selectByLevelId(Long levelId);

    int batchInsert(List<? extends VipLevelSku> list);

    int batchUpdate(List<? extends VipLevelSku> list);

    /**
     * 根据等级id查询
     * @param levelIds
     * @return
     */
    List<VipLevelSkuVO> selectByLevelIds(List<Long> levelIds);

    /**
     * 新增、更新后校验
     */
    void afterCheck(VipLevelVO vo);
}
