package com.ruoyi.web.controller.app;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.ss.vipLevel.domain.VipLevelQuery;
import com.ruoyi.ss.vipLevel.domain.VipLevelVO;
import com.ruoyi.ss.vipLevel.service.VipLevelAssembler;
import com.ruoyi.ss.vipLevel.service.VipLevelService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author wjh
 * 2025/1/17
 */
@RestController
@RequestMapping("/app/vipLevel")
public class AppVipLevelController extends BaseController {

    @Autowired
    private VipLevelService vipLevelService;

    @Autowired
    private VipLevelAssembler vipLevelAssembler;

    @ApiOperation("查询在售的会员等级列表")
    @GetMapping("/list")
    public TableDataInfo list(VipLevelQuery query) {
        startPage();
        List<VipLevelVO> list = vipLevelService.selectVipLevelList(query);
        vipLevelAssembler.assembleSaleSkuList(list);
        return getDataTable(list);
    }

}
